curs_instr(3X)

NAME
curs_instr: instr, innstr, winstr, winnstr, mvinstr, mvinnstr, mvwinstr, mvwinnstr - get a string of characters from a ncurses window

SYNOPSIS
#include <ncurses.h> int instr(char *str);
int innstr(char *str, int n);
int winstr(WINDOW *win, char *str);
int winnstr(WINDOW *win, char *str, int n);
int mvinstr(int y, int x, char *str);
int mvinnstr(int y, int x, char *str, int n);
int mvwinstr(WINDOW *win, int y, int x, char *str);
int mvwinnstr(WINDOW *win, int y, int x, char *str, int n);

DESCRIPTION
These routines return a string of characters in str, extracted starting at the current cursor position in the named window and ending at the right margin of the window. Attributes are stripped from the characters. The four functions with n as the last argument return a leading substring at most n characters long.

RETURN VALUE
All routines return the integer ERR upon failure and an integer value other than ERR upon successful completion.

NOTES
Note that all routines except winnstr may be macros.

SEE ALSO
ncurses(3X).